package java.awt.peer;

import java.awt.AWTEvent;
import java.awt.Color;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Point;
import java.awt.Toolkit;
import java.awt.image.ColorModel;
import java.awt.image.ImageObserver;
import java.awt.image.ImageProducer;

public interface ComponentPeer {
   void setVisible(boolean var1);

   void setEnabled(boolean var1);

   void paint(Graphics var1);

   void repaint(long var1, int var3, int var4, int var5, int var6);

   void print(Graphics var1);

   void setBounds(int var1, int var2, int var3, int var4);

   void handleEvent(AWTEvent var1);

   Point getLocationOnScreen();

   Dimension getPreferredSize();

   Dimension getMinimumSize();

   ColorModel getColorModel();

   Toolkit getToolkit();

   Graphics getGraphics();

   FontMetrics getFontMetrics(Font var1);

   void dispose();

   void setForeground(Color var1);

   void setBackground(Color var1);

   void setFont(Font var1);

   void setCursor(Cursor var1);

   void requestFocus();

   boolean isFocusTraversable();

   Image createImage(ImageProducer var1);

   Image createImage(int var1, int var2);

   boolean prepareImage(Image var1, int var2, int var3, ImageObserver var4);

   int checkImage(Image var1, int var2, int var3, ImageObserver var4);

   Dimension preferredSize();

   Dimension minimumSize();

   void show();

   void hide();

   void enable();

   void disable();

   void reshape(int var1, int var2, int var3, int var4);
}
